org.jbpm.bpmn2.core

## Class Message

- java.lang.Object
- - org.jbpm.bpmn2.core.Message

- All Implemented Interfaces:
    Serializable

      public class Message
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIncomingNode(org.kie.api.definition.process.Node node)`
    `void` | `addOutgoingNode(org.kie.api.definition.process.Node node)`
    `String` | `getId()`
    `Collection<org.kie.api.definition.process.Node>` | `getIncomingNodes()`
    `String` | `getName()`
    `Collection<org.kie.api.definition.process.Node>` | `getOutgoingNodes()`
    `String` | `getType()`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### addIncomingNode

          public void addIncomingNode(org.kie.api.definition.process.Node node)

    - #### addOutgoingNode

          public void addOutgoingNode(org.kie.api.definition.process.Node node)

    - #### getIncomingNodes

          public Collection<org.kie.api.definition.process.Node> getIncomingNodes()

    - #### getOutgoingNodes

          public Collection<org.kie.api.definition.process.Node> getOutgoingNodes()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.